LDAP Linux HOWTO
Prev | Chapter 3. Configuring the LDAP Server | Next

# 3.6. LDBM Database Directives

Directives in this category only apply to the LDBM backend database. That is, they must follow a "database ldbm" line and come before any other "database" or "backend" line. For a complete reference of LDBM configuration directives, see the slapd-ldbm manpages (man slapd-ldbm).

    cachesize <integer>

This directive specifies the size in entries of the in-memory cache maintained by the LDBM backend database instance.

Default:

cachesize 1000

    dbcachesize <integer>

This directive specifies the size in bytes of the in-memory cache associated with each open index file. If not supported by the underlying database method, this directive is ignored without comment. Increasing this number uses more memory but can cause a dramatic performance increase, especially during modifies or when building indexes.

Default:

dbcachesize 100000

    dbnolocking

This option, if present, disables database locking. Enabling this option may improve performance at the expense of data security.

    dbnosync

This option causes on-disk database contents not to be immediately synchronized with in memory changes upon change. Enabling this option may improve performance at the expense of data security.

    directory <directory>

This directive specifies the directory where the LDBM files containing the database and associated indexes live.

Default:

directory /usr/local/var/openldap-data

    index {<attrlist> | default} [pres,eq,approx,sub,none]

This directive specifies the indexes to maintain for the given attribute. If only an <attrlist> is given, the default indexes are maintained.

Example:

    index default pres,eq
    index uid
    index cn,sn pres,eq,sub
    index objectClass eq

The first line sets the default set of indexes to maintain to present and equality. The second line causes the default (pres,eq) set of indices to be maintained for the uid attribute type. The third line causes present, equality and substring indices to be maintained for cn and sn attribute types. The fourth line causes an equality index for the objectClass attribute type.

By default, no indices are maintained. It is generally advised that minimally an equality index upon objectClass be maintained.

index objectClass eq

    mode <integer>

This directive specifies the file protection mode that newly created database index files should have.

Default:

mode 0600

Prev | Home | Next
BDB Database Directives | Up | Access Control Examples